#ifndef __Device_IoLP_H__
#define __Device_IoLP_H__
#include"BaseDevice.h"
class IoLP: BaseDevice {
	public:
		IoLP(const char* className,const char* name,const char* module);
		//AUTOIO_BEGIN
		static IoLP* poLP1;
		static IoLP* poLP2;
		static IoLP* poLP3;
		static IoLP* poLP4;
		char id[MAX_VALUE_LEN];
		char display[MAX_VALUE_LEN];
		char schematicId[MAX_VALUE_LEN];
		char unit[MAX_VALUE_LEN];
		DeviceAttribute diLeftClamp;
		DeviceAttribute diRightClamp;
		DeviceAttribute diLeftRelease;
		DeviceAttribute diRightRelease;
		DeviceAttribute diInPosition1;
		DeviceAttribute diInPosition2;
		DeviceAttribute diInPosition3;
		DeviceAttribute diDetect;
		DeviceAttribute doClamp;
		DeviceAttribute doRelease;
		DeviceAttribute doPresence;
		DeviceAttribute doPlacement;
		DeviceAttribute doLoad;
		DeviceAttribute doUnload;
		DeviceAttribute doManual;
		char scRootPath[MAX_VALUE_LEN];
		//AUTOIO_END
};
#endif
