#ifndef __Device_IoBufferMotor_H__
#define __Device_IoBufferMotor_H__
#include"BaseDevice.h"
class IoBufferMotor: BaseDevice {
	public:
		IoBufferMotor(const char* className,const char* name,const char* module);
		//AUTOIO_BEGIN
		static IoBufferMotor* poBufferServo;
		char id[MAX_VALUE_LEN];
		char display[MAX_VALUE_LEN];
		char schematicId[MAX_VALUE_LEN];
		char unit[MAX_VALUE_LEN];
		DeviceAttribute aiRealPosition;
		DeviceAttribute aiRealSpeed;
		DeviceAttribute aiRealTorque;
		DeviceAttribute aiTargetPosFb;
		DeviceAttribute aiDriverErrorCode;
		DeviceAttribute aiMotionErrorCode;
		DeviceAttribute aoTargetPosition;
		DeviceAttribute aoSpeed;
		DeviceAttribute aoAcc;
		DeviceAttribute aoDec;
		DeviceAttribute diTPStatus;
		DeviceAttribute diMoving;
		DeviceAttribute diServoOnBufferAxis;
		DeviceAttribute diSensor1;
		DeviceAttribute diSensor2;
		DeviceAttribute diSensor3;
		DeviceAttribute diSensor4;
		DeviceAttribute diSensor5;
		DeviceAttribute diSensor6;
		DeviceAttribute diSensor7;
		DeviceAttribute diSensor8;
		DeviceAttribute diWarning;
		DeviceAttribute diAlarm;
		DeviceAttribute diPositionA1;
		DeviceAttribute diPositionB1;
		DeviceAttribute diPositionC1;
		DeviceAttribute diPositionD1;
		DeviceAttribute diPositionA2;
		DeviceAttribute diPositionB2;
		DeviceAttribute diPositionC2;
		DeviceAttribute diPositionD2;
		DeviceAttribute diPositionA3;
		DeviceAttribute diPositionB3;
		DeviceAttribute diPositionC3;
		DeviceAttribute diPositionD3;
		DeviceAttribute diPositionA4;
		DeviceAttribute diPositionB4;
		DeviceAttribute diPositionC4;
		DeviceAttribute diPositionD4;
		DeviceAttribute doN2PurgeswitchA1;
		DeviceAttribute doN2PurgeswitchB1;
		DeviceAttribute doN2PurgeswitchC1;
		DeviceAttribute doN2PurgeswitchD1;
		DeviceAttribute doN2PurgeswitchA2;
		DeviceAttribute doN2PurgeswitchB2;
		DeviceAttribute doN2PurgeswitchC2;
		DeviceAttribute doN2PurgeswitchD2;
		DeviceAttribute doN2PurgeswitchA3;
		DeviceAttribute doN2PurgeswitchB3;
		DeviceAttribute doN2PurgeswitchC3;
		DeviceAttribute doN2PurgeswitchD3;
		DeviceAttribute doN2PurgeswitchA4;
		DeviceAttribute doN2PurgeswitchB4;
		DeviceAttribute doN2PurgeswitchC4;
		DeviceAttribute doN2PurgeswitchD4;
		DeviceAttribute diStockerPositionA1;
		DeviceAttribute diStockerPositionB1;
		DeviceAttribute diStockerPositionC1;
		DeviceAttribute diStockerPositionD1;
		DeviceAttribute diStockerPositionA2;
		DeviceAttribute diStockerPositionB2;
		DeviceAttribute diStockerPositionC2;
		DeviceAttribute diStockerPositionD2;
		DeviceAttribute diStockerPositionA3;
		DeviceAttribute diStockerPositionB3;
		DeviceAttribute diStockerPositionC3;
		DeviceAttribute diStockerPositionD3;
		DeviceAttribute diStockerPositionA4;
		DeviceAttribute diStockerPositionB4;
		DeviceAttribute diStockerPositionC4;
		DeviceAttribute diStockerPositionD4;
		DeviceAttribute doServoOn;
		DeviceAttribute doStop;
		DeviceAttribute doMove;
		DeviceAttribute doReset;
		char aioType[MAX_VALUE_LEN];
		char scRootPath[MAX_VALUE_LEN];
		//AUTOIO_END
};
#endif
