#ifndef __Device_IoFFU_H__
#define __Device_IoFFU_H__
#include"BaseDevice.h"
class IoFFU: BaseDevice {
	public:
		IoFFU(const char* className,const char* name,const char* module);
		void initialize();
		void terminate();
		//AUTOIO_BEGIN
		static IoFFU* poFFU1;
		static IoFFU* poFFU2;
		static IoFFU* poFFU3;
		static IoFFU* poFFU4;
		static IoFFU* poFFU5;
		static IoFFU* poFFU6;
		static IoFFU* poFFU7;
		static IoFFU* poFFU8;
		static IoFFU* poFFU9;
		static IoFFU* poFFU10;
		static IoFFU* poFFU11;
		static IoFFU* poFFU12;
		static IoFFU* poFFU13;
		static IoFFU* poFFU14;
		static IoFFU* poFFU15;
		static IoFFU* poFFU16;
		static IoFFU* poFFU17;
		static IoFFU* poFFU18;
		char id[MAX_VALUE_LEN];
		char display[MAX_VALUE_LEN];
		char schematicId[MAX_VALUE_LEN];
		char unit[MAX_VALUE_LEN];
		DeviceAttribute aiSwitch;
		DeviceAttribute aiCurrentSpeed;
		DeviceAttribute aoSwitch;
		DeviceAttribute aoSetSpeed;
		DeviceAttribute aoReset;
		char scRootPath[MAX_VALUE_LEN];
		DeviceAttribute doEnable;
		DeviceAttribute doWriteCommand;
		char aioType[MAX_VALUE_LEN];
		//AUTOIO_END
};
#endif
