#ifndef __Device_IoFIMS_H__
#define __Device_IoFIMS_H__
#include"BaseDevice.h"
class IoFIMS: BaseDevice {
	public:
		IoFIMS(const char* className,const char* name,const char* module);
		//AUTOIO_BEGIN
		static IoFIMS* poFIMS1;
		static IoFIMS* poFIMS2;
		char id[MAX_VALUE_LEN];
		char display[MAX_VALUE_LEN];
		char schematicId[MAX_VALUE_LEN];
		char unit[MAX_VALUE_LEN];
		DeviceAttribute diDock;
		DeviceAttribute diUndock;
		DeviceAttribute diExist;
		DeviceAttribute diO2CheckOT;
		DeviceAttribute diSeal;
		DeviceAttribute diRelease;
		DeviceAttribute diDoorOpen;
		DeviceAttribute diDoorClose;
		DeviceAttribute diLatchOn;
		DeviceAttribute diLatchOff;
		DeviceAttribute diCollisionAvoidanceDown;
		DeviceAttribute diCollisionAvoidanceUp;
		DeviceAttribute diFOUPwafershiftdetection;
		DeviceAttribute diLoadComplete;
		DeviceAttribute diUnloadComplete;
		DeviceAttribute diHomeComplete;
		DeviceAttribute diRunning;
		DeviceAttribute diAutoManual;
		DeviceAttribute diN2PurgeValveClosed;
		DeviceAttribute diN2PurgeValveOpened;
		DeviceAttribute diFOUPVacuumSuckingOK;
		DeviceAttribute diFOUPVacuumSuckingAlarm;
		DeviceAttribute diWaferOnRobot;
		DeviceAttribute diWaferRobotEX1AxisHomePosition;
		DeviceAttribute diWaferRobotEX2AxisHomePosition;
		DeviceAttribute doLoad;
		DeviceAttribute doUnload;
		DeviceAttribute doHome;
		DeviceAttribute doAlarmReset;
		DeviceAttribute doAutoManual;
		DeviceAttribute doDock;
		DeviceAttribute doUndock;
		DeviceAttribute doSeal;
		DeviceAttribute doRelease;
		DeviceAttribute doDoorOpen;
		DeviceAttribute doDoorClose;
		DeviceAttribute doLatch1On;
		DeviceAttribute doLatch2On;
		DeviceAttribute doLatch1Off;
		DeviceAttribute doLatch2Off;
		DeviceAttribute doCollisionAvoidanceDown;
		DeviceAttribute doCollisionAvoidanceUp;
		DeviceAttribute doN2PurgeValveOpen;
		DeviceAttribute doN2PurgeValveClose;
		DeviceAttribute doVaccumValveOpen;
		DeviceAttribute doVaccumValveClose;
		char scRootPath[MAX_VALUE_LEN];
		//AUTOIO_END
};
#endif
