#ifndef __Device_IoTrigger_H__
#define __Device_IoTrigger_H__
#include"BaseDevice.h"
class IoTrigger: BaseDevice {
	public:
		IoTrigger(const char* className,const char* name,const char* module);
		//AUTOIO_BEGIN
		static IoTrigger* poTrigFFULSPEED;
		static IoTrigger* poTrigFFUHSPEED;
		static IoTrigger* poTrigFURNACEWREN;
		static IoTrigger* poTrigFurnace1zoneheatingenable;
		static IoTrigger* poTrigFurnace2zoneheatingenable;
		static IoTrigger* poTrigFurnace3zoneheatingenable;
		static IoTrigger* poTrigFurnace4zoneheatingenable;
		static IoTrigger* poTrigFurnace5zoneheatingenable;
		static IoTrigger* poTrigFurnace6zoneheatingenable;
		static IoTrigger* poTrigFurnace7zoneheatingenable;
		static IoTrigger* poTrigSysPLCResetb;
		static IoTrigger* poTrigSysBlowerSwitchb;
		static IoTrigger* poTrigSysLightCurtainBypassb;
		static IoTrigger* poTrigSysFFUAlarmResetb;
		static IoTrigger* poTrigSysMINI8AlarmResetb;
		static IoTrigger* poTrigSysVGUnitConversionb;
		static IoTrigger* poTrigSysAbnormalsealcapHTRtemp;
		static IoTrigger* poTrigSysAbnormalfurnaceheatertemp;
		static IoTrigger* poTrigF2CleanSwitchB;
		static IoTrigger* poTrigHFCleanSwitchB;
		static IoTrigger* poTrigForlineHeaterOn;
		static IoTrigger* poTrigCoolingValve1;
		static IoTrigger* poTrigCoolingValve2;
		static IoTrigger* poTrigAV71AUTOCLOSE;
		static IoTrigger* poTrigAV71PUMPON;
		static IoTrigger* poTrigBALLVALVEOPENCLOSE;
		static IoTrigger* poTrigVFDRES;
		static IoTrigger* poTrigVFDMRS;
		static IoTrigger* poTrigVFDRT;
		static IoTrigger* poTrigVFDJOG;
		static IoTrigger* poTrigVFDRL;
		static IoTrigger* poTrigVFDRM;
		static IoTrigger* poTrigVFDRH;
		static IoTrigger* poTrigVFDSTP;
		static IoTrigger* poTrigVFDRTR;
		static IoTrigger* poTrigVFDRTF;
		static IoTrigger* poTrigVDFfrequency;
		static IoTrigger* poTrigVFDRampRate;
		static IoTrigger* poTrigGasLineHeaterMemoryChange;
		static IoTrigger* poTrigCREFON;
		static IoTrigger* poTrigSIREFON;
		static IoTrigger* poTrigDPsw;
		static IoTrigger* poTrigBWRsw;
		static IoTrigger* poTrigDPR1sw;
		static IoTrigger* poTrigDPR2sw;
		static IoTrigger* poTrigWATRsw;
		static IoTrigger* poTrigWATFsw;
		static IoTrigger* poTrigHTR1sw;
		static IoTrigger* poTrigHTR2sw;
		static IoTrigger* poTrigHTR3sw;
		static IoTrigger* poTrigHTR4sw;
		static IoTrigger* poTrigHTR5sw;
		static IoTrigger* poTrigAGVsw;
		static IoTrigger* poTrigDEPOsw;
		static IoTrigger* poTrigNF3Clnsw;
		static IoTrigger* poTrigECOsw;
		static IoTrigger* poTrigPZEROsw;
		static IoTrigger* poTrigPCONTsw;
		static IoTrigger* poTrigCEXHsw;
		static IoTrigger* poTrigF2CLNsw;
		static IoTrigger* poTrigFNsw;
		static IoTrigger* poTrigTADJsw;
		static IoTrigger* poTrigTREFsw;
		static IoTrigger* poTrigTMNTsw;
		static IoTrigger* poTrigSP1sw;
		static IoTrigger* poTrigFurnaceTempabnormal;
		static IoTrigger* poTrigLSCHttempabnormal;
		static IoTrigger* poTrigGBHttempabnormal;
		static IoTrigger* poTrigEXHHttempabnormal;
		static IoTrigger* poTrigCLNTempabnormal;
		static IoTrigger* poTrigVaccumPumpBothOn;
		static IoTrigger* poTrigVaccumPumpAUCOn;
		static IoTrigger* poTrigLAinternalaircycleswitch2open;
		static IoTrigger* poTrigLAinternalaircycleswitch2close;
		static IoTrigger* poTrigMS501;
		static IoTrigger* poTrigMS502;
		static IoTrigger* poTrigMS503;
		static IoTrigger* poTrigMS504;
		static IoTrigger* poTrigN2PurgeLAO2CheckFirstEnable;
		static IoTrigger* poTrigN2PurgeFIMS1O2CheckEnable;
		static IoTrigger* poTrigN2PurgeFIMS2O2CheckEnable;
		static IoTrigger* poTrigN2PurgeProcess;
		static IoTrigger* poTrigN2PurgeLAO2OverTime;
		static IoTrigger* poTrigN2PurgeLAO2CheckTime;
		static IoTrigger* poTrigN2PurgeFOUPO2OverTime;
		static IoTrigger* poTrigN2PurgeFOUPO2CheckTime;
		static IoTrigger* poTrigN2PurgeExchangeLATOFOUPWaitTime;
		static IoTrigger* poTrigN2PurgeExchangeFOUPTOLAWaitTime;
		static IoTrigger* poTrigN2PurgeExchangeFOUPTOFOUPWaitTime;
		static IoTrigger* poTrigN2PurgeLAO2CheckSV;
		static IoTrigger* poTrigN2PurgeFOUPO2CheckSV;
		static IoTrigger* poTrigJETCMode;
		static IoTrigger* poTrigDataSend;
		static IoTrigger* poTrigDataLoad;
		static IoTrigger* poTrigFOUPRobotActionCommand;
		static IoTrigger* poTrigWaferRobotActionCommand;
		char id[MAX_VALUE_LEN];
		char display[MAX_VALUE_LEN];
		char schematicId[MAX_VALUE_LEN];
		char unit[MAX_VALUE_LEN];
		DeviceAttribute aoTrigger;
		DeviceAttribute doTrigger;
		DeviceAttribute diFeedback;
		DeviceAttribute aiFeedback;
		//AUTOIO_END
};
#endif
